package org.example

import org.example.data.ShoesRepository
import org.example.data.ShoesRepositoryImpl
import org.example.data.UserRepositoryImpl
import org.example.data.model.FavouriteRepositoryImpl
import org.example.domain.UserUseCaseImpl
import org.example.ui.MainMenuUI
import org.example.ui.UserUI


//class_student
//localuser - где нет rtk
//844SystemUser
fun main() {
    val userRepository = UserRepositoryImpl()
    val favouriteRepository = FavouriteRepositoryImpl()
    val shoesRepository = ShoesRepositoryImpl()
    val userUseCase = UserUseCaseImpl(userRepository, favouriteRepository, shoesRepository)
    val userUI = UserUI(userUseCase)
    val mainMenuUI = MainMenuUI(userUI)
    mainMenuUI.displayStartMenu()
}